package com.hotent.project.resp;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.hotent.base.entity.BaseModel;
import com.hotent.project.model.CostProjectDocumentFile;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * 监审项目文书响应表
 *
 * @company 山西清众科技股份有限公司
 * @author 超级管理员
 * @since 2025-09-26
 */
@ApiModel(value="CostProjectDocumentResp对象", description="监审项目文书表")
public class CostProjectDocumentResp extends BaseModel<CostProjectDocumentResp> {

    @ApiModelProperty(value = "主键ID")
    @JsonProperty("id")
    private String id;
    
    @ApiModelProperty(value = "关联监审项目ID")
    @JsonProperty("projectId")
    private String projectId;
    
    @ApiModelProperty(value = "关联文书模板ID")
    @JsonProperty("documentId")
    private String documentId;



    @ApiModelProperty(value = "文书别名")
    @JsonProperty("documentAlias")
    private String documentAlias;


    @ApiModelProperty(value = "文书文号id")
    @JsonProperty("documentWhId")
    private String documentWhId;

    @ApiModelProperty(value = "文书名称")
    @JsonProperty("documentName")
    private String documentName;

    public String getDocumentName() {
        return documentName;
    }

    public void setDocumentName(String documentName) {
        this.documentName = documentName;
    }

    public String getDocumentType() {
        return documentType;
    }

    public void setDocumentType(String documentType) {
        this.documentType = documentType;
    }

    @ApiModelProperty(value = "文书类型")
    @JsonProperty("documentType")
    private String documentType;

    @ApiModelProperty(value = "文书文号")
    @JsonProperty("documentNumber")
    private String documentNumber;
    
    @ApiModelProperty(value = "关联被监审单位ID")
    @JsonProperty("enterpriseId")
    private String enterpriseId;
    
    @ApiModelProperty(value = "生成时间")
    @JsonProperty("generateTime")
    private LocalDateTime generateTime;
    
    @ApiModelProperty(value = "电子文书附件ID集合")
    @JsonProperty("electronicDocumentUrl")
    private String electronicDocumentUrl;
    
    @ApiModelProperty(value = "扫描件附件ID集合")
    @JsonProperty("scanDocumentUrl")
    private String scanDocumentUrl;
    
    @ApiModelProperty(value = "被监审单位反馈资料附件ID集合")
    @JsonProperty("feedbackDocumentUrl")
    private String feedbackDocumentUrl;
    
    @ApiModelProperty(value = "是否推送被监审单位：0否 1是")
    @JsonProperty("isPushed")
    private String isPushed;

    @ApiModelProperty(value = "文件上传路径")
    @JsonProperty("fullPath")
    private String fullPath;
    
    @ApiModelProperty(value = "推送时间")
    @JsonProperty("pushTime")
    private LocalDateTime pushTime;



    public List<CostProjectDocumentFile> getCostProjectDocumentFiles() {
        return costProjectDocumentFiles;
    }

    public void setCostProjectDocumentFiles(List<CostProjectDocumentFile> costProjectDocumentFiles) {
        this.costProjectDocumentFiles = costProjectDocumentFiles;
    }

    @ApiModelProperty(value = "文书内容")
    @JsonProperty("costProjectDocumentFiles")
    private List<CostProjectDocumentFile> costProjectDocumentFiles;
    
    @ApiModelProperty(value = "反馈时间")
    @JsonProperty("feedbackTime")
    private LocalDateTime feedbackTime;
    
    @ApiModelProperty(value = "逻辑删除：0正常 1已删除")
    @JsonProperty("isDeleted")
    private String isDeleted;

    @ApiModelProperty(value = "创建时间")
    @JsonProperty("createTime")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "创建人")

    @JsonProperty("createBy")
    private String createBy;

    @ApiModelProperty(value = "更新时间")

    @JsonProperty("updateTime")
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "更新人")

    @JsonProperty("updateBy")
    private String updateBy;
    
    @ApiModelProperty(value = "序号")

    @JsonProperty("orderNum")
    private Integer orderNum;
    

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }
    public String getProjectId() {
        return projectId;
    }


    public String getDocumentWhId() {
        return documentWhId;
    }

    public void setDocumentWhId(String documentWhId) {
        this.documentWhId = documentWhId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }
    public String getDocumentId() {
        return documentId;
    }

    public String getDocumentAlias() {
        return documentAlias;
    }

    public void setDocumentAlias(String documentAlias) {
        this.documentAlias = documentAlias;
    }

    

    public void setDocumentId(String documentId) {
        this.documentId = documentId;
    }
    public String getDocumentNumber() {
        return documentNumber;
    }

    public void setDocumentNumber(String documentNumber) {
        this.documentNumber = documentNumber;
    }
    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }
    public LocalDateTime getGenerateTime() {
        return generateTime;
    }

    public void setGenerateTime(LocalDateTime generateTime) {
        this.generateTime = generateTime;
    }
    public String getElectronicDocumentUrl() {
        return electronicDocumentUrl;
    }

    public void setElectronicDocumentUrl(String electronicDocumentUrl) {
        this.electronicDocumentUrl = electronicDocumentUrl;
    }
    public String getScanDocumentUrl() {
        return scanDocumentUrl;
    }

    public void setScanDocumentUrl(String scanDocumentUrl) {
        this.scanDocumentUrl = scanDocumentUrl;
    }
    public String getFeedbackDocumentUrl() {
        return feedbackDocumentUrl;
    }

    public void setFeedbackDocumentUrl(String feedbackDocumentUrl) {
        this.feedbackDocumentUrl = feedbackDocumentUrl;
    }

    public String getIsPushed() {
        return isPushed;
    }

    public void setIsPushed(String isPushed) {
        this.isPushed = isPushed;
    }

    public LocalDateTime getPushTime() {
        return pushTime;
    }

    public void setPushTime(LocalDateTime pushTime) {
        this.pushTime = pushTime;
    }
    public LocalDateTime getFeedbackTime() {
        return feedbackTime;
    }

    public void setFeedbackTime(LocalDateTime feedbackTime) {
        this.feedbackTime = feedbackTime;
    }
    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }
    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }
    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }
    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }
    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }
    public Integer getOrderNum() {
        return orderNum;
    }

    public void setOrderNum(Integer orderNum) {
        this.orderNum = orderNum;
    }


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "CostProjectDocument{" +
            "id=" + id +
            ", projectId=" + projectId +
            ", documentId=" + documentId +
            ", documentNumber=" + documentNumber +
            ", enterpriseId=" + enterpriseId +
            ", generateTime=" + generateTime +
            ", electronicDocumentUrl=" + electronicDocumentUrl +
            ", scanDocumentUrl=" + scanDocumentUrl +
            ", feedbackDocumentUrl=" + feedbackDocumentUrl +
            ", isPushed=" + isPushed +
            ", pushTime=" + pushTime +
            ", feedbackTime=" + feedbackTime +
            ", isDeleted=" + isDeleted +
            ", createTime=" + createTime +
            ", createBy=" + createBy +
            ", updateTime=" + updateTime +
            ", updateBy=" + updateBy +
            ", orderNum=" + orderNum +
        "}";
    }

    public String getFullPath() {
        return fullPath;
    }

    public void setFullPath(String fullPath) {
        this.fullPath = fullPath;
    }
}
